Subject: Bug#1321: [X2Go-Dev] Bug#1321: X Error: BadLength (poly request too large or internal Xlib length error) 16

From: Hannes Kröger <[email-masked]>
Date: Fri, 17 Aug 2018 13:13:43 +0200

Dear Uli,

thanks for the information.

I will continue with the BIG-REQUEST enabled and see how it works.

I would like to add that the problem appears since an update a few weeks
ago (the software was installed through the x2go-stable repo from
launchpad). Before that, everything worked fine. Is it possible to trace
the change which lead to this problem?

Regards, Hannes

Am 17.08.2018 um 13:03 schrieb Ulrich Sibiller:
> On Fri, Aug 17, 2018 at 12:44 PM, Hannes Kröger
> <[email-masked]> wrote:
>> ok, when I put
>>
>> X2GO_NXAGENT_DEFAULT_OPTIONS+=" +extension BIG-REQUESTS"
>>
>> into /etc/x2go/x2goagent.options then paraview starts without errors.
>>
>> But the comment says:
>> "Disable BIG-REQUESTS, nx-libs does not implement this extension
>> correctly. Leads to all sorts of weird crashes if left enabled."
>> Is this still true? Do I have to fear all sorts of weird crashes?
> Yes, unfortunately this is still true. I am unsure what exactly the
> problems are. But we have apps that crash with the extension enabled.
> And we have some apps that crash with the extension disabled ;-(
>
> Uli

-- 
Grüße, Hannes Kröger

Tel.: +49 160 90354853